.onAttach <- function(libname, pkgname) {
    ## Runs when attached to search() path such as by library() or require()
    if (interactive()) {
        ## Grab version
        v <- utils::packageVersion("marge")

        ## Check if its a dev version (9999)
        if (!is.na(v[1, 4])) {
            if (v[1, 4] == 9999) {
                dev <- 'dev'
            } else {
                dev <- 'bugfix'
            }
        } else {
            dev <- 'stable'
        }

        ## Startup messages and check for HOMER install
        packageStartupMessage("marge ", v, paste0(" (", dev, " version)"))
        packageStartupMessage("Checking for HOMER installation...")
        value <- check_homer() ## does all the error checking and messaging
        packageStartupMessage("Read the docs at https://marge.aerobatic.io")
    }
}


## ## Read from description the packaged/built dates
## d = read.dcf(system.file("DESCRIPTION", package = "marge"),
##              fields = c("Packaged", "Built"))

## if (is.na(d[1])) {
##     if (is.na(d[2])) {
##         return()
##     } else {
##         d = unlist(strsplit(d[2], split = "; "))[3]
##     }
## } else {
##     d = d[1]
## }

## Add build date d to packageStartupMessage if desired
## if (dev && (Sys.Date() - as.Date(d)) > 28) {
##     packageStartupMessage("**\nThis dev version of marge was built more than 4 weeks ago, check updates\n**")
